Last Comment Bug 723864 - Remove dead default cases in gfx
: Remove dead default cases in gfx
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla13
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 723114
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 02:45 PST by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2012-02-25 02:17 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove dead default cases in gfx (3.93 KB, patch)
2012-02-03 02:54 PST, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
no flags Details | Diff | Splinter Review
Remove dead default cases in gfx (7.28 KB, patch)
2012-02-03 03:46 PST, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
jmuizelaar: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-02-03 02:45:18 PST

    
Comment 1 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-02-03 02:54:48 PST
Created attachment 594106 [details] [diff] [review]
Remove dead default cases in gfx

https://tbpl.mozilla.org/?tree=Try&rev=92c7fb526737
Comment 2 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-02-03 03:25:35 PST
gcc cannot figure out that a switch covers all the values, so we depend on 723114. I have pushed a combined patch to try in

https://tbpl.mozilla.org/?tree=Try&rev=a2a0f4979b8d
Comment 3 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-02-03 03:46:57 PST
Created attachment 594116 [details] [diff] [review]
Remove dead default cases in gfx

https://tbpl.mozilla.org/?tree=Try&rev=805b7cac0030

Added a missing include :-(
Sorry for the noise.
Comment 4 Jeff Muizelaar [:jrmuizel] 2012-02-03 07:52:24 PST
Comment on attachment 594116 [details] [diff] [review]
Remove dead default cases in gfx

I'm not thrilled with the addition of MOZ_NOT_REACHED() but if gcc needs it so be it.
Comment 5 Nathan Froyd [:froydnj] 2012-02-03 07:56:00 PST
Comment on attachment 594116 [details] [diff] [review]
Remove dead default cases in gfx

Review of attachment 594116 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/thebes/gfxRect.h
@@ +130,2 @@
>          }
> +        MOZ_NOT_REACHED("Incomplet switch");

This should be "Incomplete switch".  Here and elsewhere in this patch.
Comment 6 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-02-03 08:56:52 PST
A new combined patch is under test in

https://tbpl.mozilla.org/?tree=Try&rev=6c6023a4e8a3

I will push this one once the dependency is fixed.
Comment 7 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-02-24 07:53:15 PST
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=9b88e7f2571c
Comment 8 Marco Bonardo [::mak] 2012-02-25 02:17:52 PST
https://hg.mozilla.org/mozilla-central/rev/9b88e7f2571c

Note You need to log in before you can comment on or make changes to this bug.